NNG_STREAM_DIALER_CLOSE(3str)

NAME
nng_stream_dialer_close - close byte stream dialer

SYNOPSIS

    #include <nng/nng.h>
    void nng_stream_dialer_close(nng_stream_dialer *d);

DESCRIPTION

The nng_stream_dialer_close() function closes the supplied byte stream dialer d, but does not free the underlying resources associated with it.

If any dial operations using d are in progress, they will be terminated with an NNG_ECLOSED error condition.

Furthermore any future accesses to the dialer d will also result in NNG_ECLOSED.

    Note

    This function does not release the memory for the dialer, so the application should still free the memory using nng_stream_dialer_free() once it is certain that nothing else is using it.

RETURN VALUES

None.

ERRORS

None.

SEE ALSO

nng_strerror(3), nng_stream_dialer_alloc(3str), nng_stream_dialer_dial(3str), nng_stream_dialer_free(3str), nng_stream_dialer(5)